%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires(pre): perl(CPAN.pm) perl(Class/InsideOut.pm) perl(Config.pm) perl(Cwd.pm) perl(Data/Transform.pm) perl(Data/Transform/Identity.pm) perl(Data/Transform/Line.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(IO/File.pm) perl(IO/Handle.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(POE.pm) perl(Socket.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(XML/LibXML.pm) perl(XML/LibXML/XPathContext.pm) perl(XML/SAX/IncrementalBuilder/LibXML.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.05
%define module_name Data-Transform-SAXBuilder
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: A filter for parsing XML with L<XML::LibXML>
Group: Development/Perl
License: gpl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MA/MARTIJN/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
the Data::Transform::SAXBuilder manpage is used to turn an XML file or stream into
a (series of) DOM tree (fragments). It uses the the XML::LibXML manpage modules to do
the parsing and for the building of the DOM tree. This gives you very good
support for most(all?) XML features, and allows you to use a host of extra
modules available for use with the XML::LibXML manpage.

To make the potentially time-consuming parsing process not interfere with
event-driven environments (like the POE manpage), SAXBuolder will return a series
of document fragments instead of the entire DOM tree.

There are two modes:

=over 2

=item 

The first builds the entire DOM tree, and just gives you pointers into the
tree at various points. This is useful if you know the xml document you are
parsing is not too big, and you want to be able to run XPATH queries on the
entire tree.

=item

The second mode splits up the DOM tree into document fragments and returns
each seperately. You could still build a complete DOM tree from these
fragments. Sometimes that isn't possible, because you're receiving a possibly
endless tree (for example when processing an XMPP stream)

=back

You can control how often you get events by specifying till how deep into
the tree you want to receive notifications. This also controls the size of
the document fragments you'll receive when you're using the second,
'detached' mode.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/D*

%changelog
* Fri May 02 2014 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- initial import by package builder

